/*     
 * $RCSfile: divider_internal.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: divider_internal.h,v $
 * Revision 1.1  1994/04/18 22:02:08  slm
 * Initial revision
 *
 */

typedef struct {
    Map  map_openenable;
    Map  map_demux;
    XObj psync_sessn;	/* added by dhan */
    int  port;		/* current port number obtained from the demuxed msg 
			 * added by dhan */
} DIVIDERstate;

typedef struct {
    int system_id;	/* (int)psync_sessn */
    int msg_type;
} Bindkey;

typedef struct demux_value {
    XObj               sessn;
    struct demux_value *next;
} DEMUXvalue;

typedef struct {
    int  node;
#ifdef XK_FIRST_INT
    int  first;
#else
    char first;
#endif
    int  port;
    int  composer_id;
} F_msg;

typedef struct {
    int  node;
#ifdef XK_FIRST_INT
    int  first;
#else
    char first;
#endif
    int  type;
} R_msg;

typedef struct {
    XObj sessn;
    XObj lls;
    Msg  *msg;
} CalDmx;
