/*
 *  The constants for the user interface to IPSEC
 *     these are spi attributes
 *
 */


#ifndef ipsec_h
#define ipsec_h

#define IPSEC_CTL 31

#define IPSEC_AH           0
#define IPSEC_ESP_TUNNEL   1
#define IPSEC_ESP_ENCAPS   2

#define IPSEC_GETMYHOST		(IPSEC_CTL*MAXOPS+0)
#define IPSEC_GETPEERHOST	(IPSEC_CTL*MAXOPS+1)
#define IPSEC_GET_MODE        (IPSEC_CTL*MAXOPS + 2)
#define IPSEC_GET_HDRLEN      (IPSEC_CTL*MAXOPS + 3)

#endif
